
#ifndef WIN32
#include <unistd.h>
#endif
#include <stdio.h>
#include <ctype.h>

#include "arguments.h"
#include "config.h"
#include "compare.h"


extern char *optarg;


void mirror_addmanual(char *);



void parse_arguments(int argc, char **argv)
{
  int opt;


  // Check for Unix style arguments
  while ((opt=getopt(argc, argv, "dhf:vm:i:")) != -1) {
    switch(tolower((char)opt)) {
    case 'h':
      printf("\n");
      printf("lmirror [-h] [-f file]\n");
      printf("\n");
      printf("-h        : This help screen\n");
      printf("-f <file> : Specify .conf file to read\n");
      printf("-v        : Print version and exit.\n");
      printf("-d        : Verbose debug messages\n");
      printf("-m <dir>  : Manually specify dir to mirror ignoring date tests\n");
      printf("-i <dir>  : Add dir to ignore list for this session --skip\n");
      printf("\n");
      exit(0);
      break;
    case 'f':
      strcpy(server_config, optarg);
      break;
    case 'v':
      printf("Mirror, mirror on the wall, who is the fastest of them all.\n");
      exit();
      break;
    case 'd':
      mirror_verbose = 1;
      break;
    case 'm':
      mirror_addmanual(optarg);
      break;
    case 'i':
      compare_add2ignore(optarg);
      break;
    default:
      printf("%c is quite an interesting argument, but I don't know it\n",opt);
      exit(1);
    }
  }
}


