#include <stdio.h>

#include "collect.h"
#include "mirror.h"
#include "state.h"
#include "log.h"
#include "date.h"


void collect_setpaths( mirror_t *mirror )
{


  // Advance the queue only if retries is 0, ie, we didn't timeout
  if (!mirror->A_host.retries_done &&
      !mirror->B_host.retries_done) {


    if ( !mirror->A_host.current_path )
      mirror->A_host.current_path =
	mirror->B_host.current_path = mirror->paths;
    else 
      mirror->A_host.current_path =
	mirror->B_host.current_path = mirror->A_host.current_path->next;
    
  }



  if ( !mirror->A_host.current_path ) {

    log_printf(LOG_DEBUG, "All paths processed. Exiting...\n");

    state_set(&mirror->A_host, ST_DONE);
    state_set(&mirror->B_host, ST_DONE);

    return;
  }
  
  log_printf(LOG_DEBUG, "Processing   %s    %s\n", mirror->A_host.current_path->A_path,
	 mirror->A_host.current_path->B_path);


  mirror->A_host.current_cwd = mirror->A_host.current_path->A_path;
  mirror->B_host.current_cwd = mirror->A_host.current_path->B_path;

#if 1
  state_set(&mirror->A_host, ST_COLLECT);
  state_set(&mirror->B_host, ST_COLLECT);
#endif 

  mirror->site_max_age = mirror->A_host.current_path->stamp;

  log_printf( LOG_DEBUG, "Setting site_max_age to %lu\n", 
	      mirror->site_max_age);

  return;

}









